Subject: Default LSA creation

From: TAKENAGA Yoshinobu <[email-masked]>
Date: Fri, 11 Oct 2002 11:21:01 +0900

Hi,

I have a question about creation of default lsa into stub areas.
(This question may be a FAQ, please suggest the point)

Consider this network.

   area 1   :  area 0
   (stub)   :     +--->>(AS extenal path)
            :     |
 |--R1--|   :  |--R4--|
 |      |--R2--|      |
 |          :         |
 |      |--R3--|      |
 |--R6--|   :  |--R5--|
            :

Here, R2 and R3 are area border router.
R4 is AS boundary router.
All link have same cost.

In such situation, R2 and R3 will create default Type-3 LSA into area 1.
R1 will select R2 as nexthop to the AS extenal path through R4.

Now, the link state changes to this (R4 lose the link to N1).

   area 1   :  area 0
   (stub)   :     +--->>(AS Extenal path)
            : N1  |
 |--R1--|   :  |XXR4--|
 |      |--R2--|      |
 |          :         |
 |      |--R3--|      |
 |--R6--|   :  |--R5--|
            :

In such situation, R2 becomes a blackhole.

What is the minimum requirement for R2 to create default Type-3 LSA
into stub areas?
  - having configuration of Area0
  - having active interface to Area0
  - having "Full" status neighbor in Area0
  - other??

# In NSSA with Type7 LSA, same problem will take place.

Regards,

--
TAKENAGA Yoshinobu, Fujitsu.

---

From: Acee Lindem <[email-masked]>
Date: Fri, 11 Oct 2002 00:15:44 -0400

>   - having "Full" status neighbor in Area0

Hi Takenaga,

The answer is other. The minimum requirement is that the
router be an Area Border Router (ABR). Section 3.3 of RFC 2328 defines
an ABR as a router that attaches to multiple areas. In the context of
RFC 2328, area attachment requires at least one active interface in that
area. Some implementations use other definitions of what constitutes
an ABR (e.g., refer to draft-ietf-ospf-abr-alt-04.txt). However, using
a different ABR definition doesn't handle all situations. Consider R6 and
R3 in the figure below:

     area 1   :  area 0
   |--R6--|   :  |--R5XX|

In general, a good OSPF network design will minimize the possibility
that the backbone will become partitioned.

--
Acee

---

From: TAKENAGA Yoshinobu <[email-masked]>
Date: Fri, 11 Oct 2002 19:08:15 +0900

From: Acee Lindem <[email-masked]>
Subject: Re: Default LSA creation
Date: Fri, 11 Oct 2002 00:15:44 -0400

> that the backbone will become partitioned.

Hi Acee,

Thank you for your response.

I understand. Some other good solutions(in such IDs) may have confused
me.  Now my question is cleard with your advice.

---

From: Mani Devarajan <[email-masked]>
Date: Fri, 11 Oct 2002 12:15:06 -0700

ASBR
      -----     ------     -----    -------
     |     |   |      |   |     |  |       |
     | R1  |   | R2   |   |  R3 |  |  R5   |
     |     |   |      |   |     |  |       |
      -----     ------     -----    -------
       |  |I1 I2|  | |I4  I5|  |I6 I9| |
 RIP---    -----   |  ------    -----  |
           AREA1   |  AREA 0    AREA2  |
                   |I3                 |I10
                   |      -----        |
                   |   I7|     |I8     |
                    -----|  R4 |-------
                   AREA0 |     | AREA2
                          -----
        * AREA2 is NSSA.

Accee, this is question is similar to what Takenaga
asked. But still my doubt is not cleared.

So if R5 chosses the default route through R4, and
If i bring down the I3. R4 is still a NSSA ABR so
it will not flush the default-type7 LSA it generated
in NSSA-2.

Do you mean to say that it is the job of R5 to
recalculate it routes through R3 or interface I3
going down should be avoided.

-Thanks in advance,
Mani

---

From: Acee Lindem <[email-masked]>
Date: Fri, 11 Oct 2002 16:34:11 -0400

>      ASBR

Nope. Assuming I7 is still up (even though I3 is down),
R4 still is an ABR and should be originating an NSSA
type 7 default. In this situation you may want to inhibit
automatic origination of the NSSA type 7 default or take
steps to reduce the possibility that your backbone will
become partitioned.

--
Acee